Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1833759 - Crashes when the command line is shorter than 1024
Summary: Crashes when the command line is shorter than 1024
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-10 10:10 UTC by Christian Persch
Modified: 2020-12-03 01:41 UTC (History)
9 users (show)

Fixed In Version: gnome-terminal-3.38.1-2.fc33 gnome-terminal-3.36.2-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-22 01:25:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Persch 2020-05-10 10:10:32 UTC
Description of problem:

Crash, due to fedora patch. 

Version-Release number of selected component (if applicable):
0:3.36.1.1-1.fc32

How reproducible:
Unknown.

Steps to Reproduce:
N/A

Actual results:
Crash.

Expected results:
No crash.

Additional info:

https://retrace.fedoraproject.org/faf/reports/2911213/ shows the backtrac; the offending functioncall is only present in the fedora patch, not upstream. 

Cause of the creash is terminal_screen_format_title calling g_utf8_substr with an out-of-bounds end position. The g_utf8_substr docs make it clear that end offset (in characters!) must be *within* the passed string.

Comment 1 Debarshi Ray 2020-11-20 21:51:12 UTC
Here's a pull request for it:
https://src.fedoraproject.org/rpms/gnome-terminal/pull-request/3

Comment 2 Fedora Update System 2020-11-20 23:08:18 UTC
FEDORA-2020-94dabff2d8 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-94dabff2d8

Comment 3 Fedora Update System 2020-11-20 23:11:25 UTC
FEDORA-2020-0c598db6e1 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0c598db6e1

Comment 4 Fedora Update System 2020-11-21 02:44:09 UTC
FEDORA-2020-94dabff2d8 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-94dabff2d8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-94dabff2d8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-11-21 02:46:42 UTC
FEDORA-2020-0c598db6e1 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-0c598db6e1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0c598db6e1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-11-22 01:25:59 UTC
FEDORA-2020-94dabff2d8 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-12-03 01:41:16 UTC
FEDORA-2020-0c598db6e1 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.